Platform API‎ > ‎

Store OAI Service

Note: This is an early, reduced functionality implementation of the protocol. For more details about OAI-PMH see the specification

URI Pattern

http://api.talis.com/stores/{storename}/services/oai-pmh

Resource Operations

URI Pattern Method Request Body Semantics Capability required
/services/oai-pmh GET Harvest metadata harvest


Supported Verbs

At the moment, only the ListRecords verb is implemented.

ListRecords

Required Parameters

  • metadataPrefix - the format of the records to return, this only accepts one value, "oai_dc"
  • from - an optional argument with a UTCdatetime value, which specifies a lower bound for datestamp-based selective harvesting.
  • until - an optional argument with a UTCdatetime value, which specifies a lower bound for datestamp-based selective harvesting.
  • resumptionToken - an exclusive argument (i.e. cannot be combined with other parameters) with a value that is the flow control token returned by a previous ListRecords request that issued an incomplete list.

Examples

List records using Dublin Core record format
curl http://api.talis.com/stores/{storename}/services/oai-pmh?verb=ListRecords&metadataPrefix=oai_dc
List records using MarcXML record format
curl http://api.talis.com/stores/{storename}/services/oai-pmh?verb=ListRecords&metadataPrefix=marcxml
List records changed since 5 Jan 2007
curl http://api.talis.com/stores/{storename}/services/oai-pmh?verb=ListRecords&metadataPrefix=marcxml&from=2007-01-05T20:30:00Z
Comments